package org.academiadecodigo.bootcamp11.pokemon;

import org.academiadecodigo.bootcamp11.pokemon.trainer.MainCharacter;

/**
 *  Your character must play every city. You start in PalletTown.
 *  As long as you can travel, play the next city.
 *  If you clear the city, display your progress.
 *  If you fail to clear a city, you lose the game.
 *  If you become a Pokemon Master, you win the game.
 */

public class PowerOn {
    public static void main(String[] args) {
        MainCharacter ash = new MainCharacter("Ash Ketchum");
        while(ash.canPlay()) {
            if (!ash.travelToNextCity()) { break; }
            ash.getCurrentCity().play(ash);
        }
        System.out.println("Game over.");
    }
}
